Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.log
Class LogOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.ByteArrayOutputStream
                  |
                  +--com.solarmetric.log.LogOutputStream

All Implemented Interfaces:
  LogConstants

public class LogOutputStream
extends ByteArrayOutputStream
implements LogConstants

Many standard components log to `OutputStream`s. This wrapper class extends the `ByteArrayOutputStream` class and writes all given data to an underlying `Log` instance whenever it is flushed and the internally held byte array contains a newline.

Fields inherited from class java.io.ByteArrayOutputStream
`buf, count`

Fields inherited from interface com.solarmetric.log.LogConstants
`DEBUG, ERROR, FATAL, INFO, TRACE, WARN`

Constructor Summary
`LogOutputStream(org.apache.commons.logging.Log log, int level)` Constructor.

Method Summary
`void` | `flush()`

Methods inherited from class java.io.ByteArrayOutputStream
`close, reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

Methods inherited from class java.io.OutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogOutputStream

    public LogOutputStream(org.apache.commons.logging.Log log,
                           int level)

  Constructor.
  Parameters:
    `log` - the log to log to
    `level` - the level to log at

Method Detail

### flush

    public void flush()
               throws IOException

  Overrides:
    `flush` in class `OutputStream`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.